{{/* SPDX-FileCopyrightText: 2022–2024 BWI GmbH */}}
{{/* SPDX-License-Identifier: Apache-2.0 */}}
{{- if .Values.schadcodescanner.enabled }}
{{- $name := include "matrix-synapse.externalname" (dict "global" . "external" "schadcodescanner") -}}
{{- $component := "schadcodescanner" -}}
---
apiVersion: v1
kind: Service
metadata:
  name: {{ $name }}
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "matrix-synapse.labels" . | nindent 4 }}
    app.kubernetes.io/component: {{ $component }}
spec:
  ports:
  - port: {{ .Values.schadcodescanner.service.port }}
    targetPort: {{ .Values.schadcodescanner.service.port }}
    protocol: TCP
    name: clamav
  selector:
    {{- include "matrix-synapse.selectorLabels" $ | nindent 4 }}
    app.kubernetes.io/component: {{ $component }}
{{- end }}
